Incus - Command line client(1)

NAME
incus-wait - Wait for an instance to satisfy a condition

SYNOPSIS
incus wait [:] [flags]

DESCRIPTION
Description:
  Wait for an instance to satisfy a condition

Supported Conditions:

    agent            Wait for the VM agent to be running
    ip               Wait for any globally routable IP address
    ipv4             Wait for a globally routable IPv4 address
    ipv6             Wait for a globally routable IPv6 address
    status=STATUS    Wait for the instance status to become STATUS

OPTIONS
--interval=5
    ``Polling interval (in seconds)

--timeout=-1
    ``Maximum wait time

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus wait v1 agent
      	Wait for VM instance v1 to have a functional agent.

SEE ALSO
incus(1)

HISTORY
10-Jul-2026 Auto generated by spf13/cobra